%global momorel 1
Summary: Header files that export linux abi to userspace
Name: glibc-kernheaders
Version: 2.6.10
%global kernelver 2.6.10.0
%global linux_dir_ver 2.6
Requires: kernel >= 2.6.10 kernel-headers >= 2.6.10
Requires: initscripts >= 7.55.1-6m
Release: %{momorel}m
License: GPL
Group: Development/System
ExclusiveOS: Linux
#Provides: kernel-headers = %{version}
URL: http://ep09.pld-linux.org/~mmazur/linux-libc-headers/
%global md5source0 a43c53f1bb0b586bc9bd2e8abb19e2bc
%NoSource 0 http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-%{kernelver}.tar.bz2 %{md5source0}
Patch1: linux-libc-headers-2.6.8.1-suppress_warn.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
This package comes from linux-libc-headers. 
The linux-libc-headers (llh) package contains headers
that export linux abi to userspace. These headers are a heavily modified and
cleaned up version of what comes with original linux tarball.


%ifarch %{ix86}
%global asm_arch i386
%endif

%ifarch alpha alphaev5
%global asm_arch alpha
%endif

%ifnarch %{ix86} alpha alphaev5
%global asm_arch %{_arch}
%endif


%prep
%setup -q -n linux-libc-headers-%{kernelver}
%patch1 -p1 -b .warn

%build

%install
%__mkdir_p %{buildroot}/usr/src/linux-libc-headers-%{kernelver}
%__cp -r include %{buildroot}/usr/src/linux-libc-headers-%{kernelver}
cd %{buildroot}/usr/src
# use the same version numbering with kernel package
ln -sf linux-libc-headers-%{kernelver} linux-libc-headers-%{version}
cd linux-libc-headers-%{kernelver}/include/
# modify files
%__rm -rf scsi/  # use scsi/ in glibc-headers
pushd linux/
for file in config.h autoconf.h compile.h; do
    ln -sf /usr/src/linux-%{linux_dir_ver}/include/linux/$file $file
done
popd
ln -sf asm-%{asm_arch} asm


%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}


%post
# re-link headers
/etc/init.d/momonga restart
echo
exit 0

%postun
# re-link headers
/etc/init.d/momonga restart
echo 
exit 0

%files
%defattr(-,root,root)
/usr/src/linux-libc-headers-%{version}
/usr/src/linux-libc-headers-%{kernelver}

%changelog
* Thu Jan 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.10-1m)
- update to 2.6.10.0

* Mon Dec 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.9-3m)
- glob upper directory

* Wed Nov 03 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-2m)
- update to 2.6.9.1

* Mon Oct 25 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.9-1m)
- update to 2.6.9.0
- delete included Patch0: linux-libc-headers-2.6.8.1-ext3_fs.patch

* Fri Sep 10 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.6.8-4m)
- exclude scsi dir

* Thu Sep  9 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.6.8-3m)
- use _SUPPRESS_LLH_WARN_ in patch1

* Wed Sep  8 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.6.8-2m)
- initscripts >= 7.55.1-5m (initscripts-7.55.1-4m is mistake.)

* Wed Sep  8 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.6.8-1m)
- initial packaging
